//
//  BehaviorTableViewController.swift
//  Tusker
//
//  Created by Shadowfacts on 10/23/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import UIKit

class BehaviorTableViewController: UITableViewController {

    @IBOutlet weak var defaultPostVisibilityLabel: UILabel!
    @IBOutlet weak var automaticallySaveDraftsSwitch: UISwitch!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        defaultPostVisibilityLabel.text = Preferences.shared.defaultPostVisibility.displayName
        automaticallySaveDraftsSwitch.setOn(Preferences.shared.automaticallySaveDrafts, animated: false)
    }
    
    @IBAction func automaticallySaveDraftsChanged(_ sender: Any) {
        Preferences.shared.automaticallySaveDrafts = automaticallySaveDraftsSwitch.isOn
    }
    
    override func tableView(_ tableView: UITableView, willSelectRowAt indexPath: IndexPath) -> IndexPath? {
        if indexPath.row == 0 {
            return indexPath
        } else {
            return nil
        }
    }
    
    override func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        tableView.deselectRow(at: indexPath, animated: true)
        
        let alertController = UIAlertController(currentVisibility: Preferences.shared.defaultPostVisibility) { (visibility) in
            guard let visibility = visibility else { return }
            Preferences.shared.defaultPostVisibility = visibility
            self.defaultPostVisibilityLabel.text = visibility.displayName
        }
        present(alertController, animated: true)
    }
    
}
